WebSphereCustomUserRegistry (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereCustomUserRegistry interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereCustomUserRegistry

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, WebSphereUserRegistry

    public interface WebSphereCustomUserRegistry

extends WebSphereUserRegistry

SSL Settings for a WebSphere Global Security Settings

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCustomRegistryClassName()`
`boolean` | `hasCustomRegistryClassName()`
`void` | `setCustomRegistryClassName(java.lang.String customRegistryClassName)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.websphere.WebSphereUserRegistry
`getIgnoreCase, getLimit, getParent, getRealm, getRegistryType, getServerId, hasIgnoreCase, hasLimit, hasParent, hasRealm, hasRegistryType, hasServerId, setIgnoreCase, setLimit, setParent, setRealm, setRegistryType, setServerId`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getCustomRegistryClassName

    java.lang.String getCustomRegistryClassName()
                                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCustomRegistryClassName

    void setCustomRegistryClassName(java.lang.String customRegistryClassName)

### hasCustomRegistryClassName

    boolean hasCustomRegistryClassName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD